#PlaytimeRewards@https://www.spigotmc.org/resources/100231/ by ExoBiTe
#
#List of all Sounds can be found here: https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Sound.html
#List of all SoundCategories can be found here: https://hub.spigotmc.org/javadocs/spigot/org/bukkit/SoundCategory.html
#List of all Particles can be found here: https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Particle.html
#
#Available CountTypes are PLAYTIME, SESSION_TIME and GLOBAL_TIME
#Time accepts Days(d), Hours(h), Minutes(m) and Seconds(s) and can be combined in any Variation, examples: '3d15m' or '1d25h35m12s'
#Pay Attention that the RewardName doesn't allow Duplicates!

#礼包的名字，不冲突可以继续新增下去
第一天在线礼包_普通:
  #显示的名字
  DisplayName: '§3第一天在线礼包_普通'
  #需要满足的时间类型：PLAYTIME(累计在线时间) SESSION_TIME(本次进服时间,推出清零) GLOBAL_TIME(全局时间,一般用不到这个)
  CountType: 'PLAYTIME'
  #时间格式，可以支持多格式组合 Days(d), Hours(h), Minutes(m) and Seconds(s)
  Time: '10m10s'
  #是否循环每个时间倍数段都给一次
  Repeating: false
  #只给首次满足时间条件
  GrantFirst: true
  #需要的权限才能领取这个礼包
  PermissionNeeded: 'cool.long.time.player.rank'
  #后台执行的命令
  ConsoleCommands:
    - 'say <PLAYER> 已经完成第一天在线!'
  Display:
    #玩家显示的提示
    PlayerMessages:
      - '你已经满足在线时间 <PLAYER> 自动获取礼包 <REWARD>'
    #全局消息提示
    GlobalMessages:
      - '恭喜玩家 <PLAYER> 获取礼包 <REWARD>'
    ActionbarMessage: '§1Hello §4<PLAYER>§1!'
    #粒子效果: 'PARTICLE_NAME, Amount, offsetX, offsetY, offsetZ, extra' - extra refers often to the speed. Is Optional.
    Particles:
      - 'FLAME, 10, 0.2, 0.2, 0.2, 1'
    #播放音效: 'SOUND_NAME, SOUND_CATEGORY, VOLUME, PITCH'. Is Optional.
    Sounds:
      - 'BLOCK_BELL_USE, PLAYERS, 1.0, 1.0'

